%global major 1
%define libname %mklibname %name %major
%define devel %mklibname -d %{name}

#define prel 20200502
%define prel_ver 1.x
%define rel 1

Name:           spdlog
Version:        1.8.2
Release:        %mkrel %{?prel:-c git%{prel}} %{rel}
Summary:        Super fast C++ logging library
Group:		Development/C
License:        MIT
URL:            https://github.com/gabime/%{name}/
Source0:        https://github.com/gabime/%{name}/archive/%{?prel:v%{prel_ver}}%{?!prel:v%{version}}/%{name}-%{version}%{?prel:-git%{prel}}.tar.gz

#BuildRequires:  google-benchmark-devel
BuildRequires:  ninja
BuildRequires:  cmake(fmt)
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(systemd)

%description
This is a packaged version of the gabime/spdlog header-only C++
logging library available at Github.

%package -n %{devel}
Group:		Development/C
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       fmt-devel
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel}
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%package -n %{libname}
Group:		Development/C
Summary:        Library for %name
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       fmt-devel

%description -n %{libname}
Library for %{name}

%prep
%autosetup -p1 %{?prel:-n %{name}-%{prel_ver}}
find . -name '.gitignore' -exec rm {} \;
sed -i -e "s,\r,," README.md

%build
%cmake -G Ninja \
    -DSPDLOG_BUILD_EXAMPLES=OFF \
    -DSPDLOG_BUILD_BENCH=OFF \
    -DSPDLOG_BUILD_TESTS=ON \
    -DSPDLOG_FMT_EXTERNAL=ON \
    -DSPDLOG_BUILD_SHARED=ON
%cmake_build

%check
%ctest

%install
%cmake_install

%files -n %{devel}
%doc README.md example/
%license LICENSE
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libspdlog.so

%files -n %{libname}
%{_libdir}/libspdlog.so.%{major}{,.*}


%changelog
* Sun Dec 13 2020 kekepower <kekepower> 1.8.2-1.mga8
+ Revision: 1656273
- Update to version 1.8.2

* Tue Oct 06 2020 kekepower <kekepower> 1.8.1-1.1.mga8
+ Revision: 1632289
- Update to version 1.8.1

* Tue Jul 21 2020 wally <wally> 1.6.1-2.mga8
+ Revision: 1607622
- build with new cmake macros

* Wed Jul 08 2020 kekepower <kekepower> 1.6.1-1.mga8
+ Revision: 1603163
- Update to version 1.6.1
- Add 2 upstream patches for fmt 7.0

* Fri May 15 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1584063
- Update to version 1.6.0

* Mon May 04 2020 kekepower <kekepower> 1.5.1-0.git20200502.1.mga8
+ Revision: 1579608
- Update to snapshot 1.5.1-git20200502

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-3.mga8
+ Revision: 1568300
- Fixed both library and devel packages provided the same name

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-2.mga8
+ Revision: 1568276
- Devel package must require the library package

* Sat Apr 04 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1564525
- Update to version 1.5.0
- Rebuild for new fmt

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-4.mga8
+ Revision: 1528665
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 26 2019 tv <tv> 1.3.1-3.mga8
+ Revision: 1432331
- imported package spdlog

